Package org.apache.qpid.proton.reactor

# Class ReactorOptions

java.lang.Object
org.apache.qpid.proton.reactor.ReactorOptions

public class ReactorOptions extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReactorOptions()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxFrameSize()`
Gets the maximum frame size to be announced in the Open frame.
`boolean`
`isEnableSaslByDefault()`
Returns whether SASL should be enabled by default.
`void`
`setEnableSaslByDefault(boolean enableSaslByDefault)`
Sets whether SASL will be automatically enabled with ANONYMOUS as the mechanism, or if no SASL layer will be enabled.
`void`
`setMaxFrameSize(int maxFrameSize)`
Sets the maximum frame size value to announce in the Open frame.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReactorOptions

public ReactorOptions()

## Method Details

### setEnableSaslByDefault

public void setEnableSaslByDefault(boolean enableSaslByDefault)
Sets whether SASL will be automatically enabled with ANONYMOUS as the mechanism, or if no SASL layer will be enabled. If disabled, the application handlers can still enable SASL on the transport when it is bound to the connection. True by default.

Parameters:
  `enableSaslByDefault` - true if SASL should be enabled by default, false if not.

### isEnableSaslByDefault

public boolean isEnableSaslByDefault()
Returns whether SASL should be enabled by default.

Returns:
  True if SASL should be enabled by default, false if not.
See Also:
  - `setEnableSaslByDefault(boolean)`

### setMaxFrameSize

public void setMaxFrameSize(int maxFrameSize)
Sets the maximum frame size value to announce in the Open frame.

Parameters:
  `maxFrameSize` - The frame size in bytes.

### getMaxFrameSize

public int getMaxFrameSize()
Gets the maximum frame size to be announced in the Open frame.

Returns:
  the frame size in bytes or 0 if none is set.
See Also:
  - `setMaxFrameSize(int)`